## org.apache.mahout.math
Class VectorView.NonZeroIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<Vector.Element>
              org.apache.mahout.math.VectorView.NonZeroIterator

All Implemented Interfaces:
  Iterator<Vector.Element>

Enclosing class:
  VectorView

    public final class VectorView.NonZeroIterator

extends com.google.common.collect.AbstractIterator<Vector.Element>

Method Summary
`protected Vector.Element` `computeNext()`

Methods inherited from class com.google.common.collect.AbstractIterator
`endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### computeNext

    protected Vector.Element computeNext()

  Specified by:
    `computeNext` in class `com.google.common.collect.AbstractIterator<Vector.Element>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.